Subject: Re: [Bitcoin-development] Bug with handing of OP_RETURN?

From: Gregory Maxwell <[email-masked]>
Date: Sat, 3 May 2014 12:08:33 -0700

On Sat, May 3, 2014 at 11:55 AM, Mark Friedenbach <[email-masked]> wrote:
> I don't think such a pull request would be accepted. The point was to
> minimize impact to the block chain. Each extras txout adds 9 bytes
> minimum, with zero benefit over serializing the data together in a
> single OP_RETURN.

In this case it's not a question extra txouts, its a question of
additional pushes. Assuming you didn't get the push overhead for free,
the only issue I see with that off the cuff is extra complexity in the
IsStandard rule... but really, why?  Your application already needs to
define the meaning of the data— what point is there in making your
hash commitment less uniform with the rest of the network?